<template>
  <div class="faq">
    <div class="faq__container container">
      <h1 class="faq__title">Guide for Beginners:<br />How to Withdraw Cryptocurrency from TBCC</h1>
      <div class="faq__content content">
        <div class="content__item">
          <p class="content__item-text">
            1. <span>Log in</span> to your TBCC account.
          </p>
          <p class="content__item-text content__item-subtitle text-left" ><span>NOTE:</span> The main task of the TBCC exchange is the safety of traders. For this reason, to withdraw funds, you must go through two-factor authentication: SMS or Google authentication. We want to make sure you are protected as much as possible. <br />
            <span class='sub-text'>Detailed guide: How to pass two-factor authentication on TBCC</span>
          </p>
          <p class="content__item-text">2. Сlick <span>Wallet →  Withdraw</span> on the top right of the TBCC homepage.</p>
          <p class="content__item-text">3. Select the cryptocurrency you want to withdraw (e.g., we will be using USDT as an illustration).</p>
          <p class="content__item-text">4. Select one of the recommended networks.</p>
          <p class="content__item-text content__item-subtitle text-left" ><span>NOTE:</span> The main task of the TBCC exchange is the safety of traders. For this reason, to withdraw funds, you must go through two-factor authentication: SMS or Google authentication. We want to make sure you are protected as much as possible.
            Detailed guide: How to pass two-factor authentication on TBCC
          </p>
          <p class="content__item-text">5. Enter the recipient's address or select one from your address book.</p>
          <p class="content__item-text">6. Enter the withdrawal amount and you will be able to see the corresponding transaction fee and the final amount you receive. Click <span>Submit</span> to proceed.</p>
          <p class="content__item-text content__item-subtitle text-left" ><span>Warning:</span> If you input the wrong information or select the wrong network when making a transfer, your assets will be permanently lost. Please make sure that the information is correct before making a transfer.</p>
          <p class="content__item-text">7. You need to verify the transaction. Please follow the on-screen instructions.</p>
          <p class="content__item-text">8. Please wait for the transfer to be processed.</p>
        </div>
      </div>
      <div class="faq__list list">
        <p class="list__title">Learn to trade efficiently:</p>
        <div class="list__wrap">
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-trade')"
            >How to trade?</nuxt-link
          >
          <nuxt-link
            class="list__link arrow-link"
            :to="localePath('/faq/how-to-stake')"
            >How to stake?</nuxt-link
          >
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-change-email')"
            >How to Change Account Email?</nuxt-link
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  head() {
    return {
      title: 'TBCC | FAQ',
      link: [
        {
          rel: 'canonical',
          href: `https://tbcctoken.com/faq/${this.$route.path}`,
        },
      ],
    }
  },
}
</script>

<style lang="scss" scoped>
.faq {
  background: linear-gradient(169deg, #1f0c71 27.28%, #041344 67.8%);
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    &::after {
      content: '';
      width: 1798px;
      height: 715px;
      background-image: url('../../assets/img/stones@2x.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -20px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 120px;
  }

  &__title {
    font-size: 42px;
    line-height: 52px;
    text-align: center;
    color: white;
    max-width: 630px;
    margin: 0 0 25px;
    font-weight: 500;

    @media (max-width: 767px) {
      font-size: 30px;
      line-height: 37px;
      text-align: center;
      max-width: 300px;
    }
  }

  &__subtitle {
    max-width: 640px;
    font-size: 18px;
    line-height: 28px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 25px;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 24px;
      max-width: 330px;
    }
  }

  &__content {
    display: flex;
    flex-direction: column;
    margin-bottom: 84px;
  }
}

.content {
  max-width: 830px;
  width: 100%;

  @media (max-width: 767px) {
    max-width: 316px;
  }

  &__item {
    display: flex;
    flex-direction: column;

    &:not(:last-child) {
      margin-bottom: 30px;
    }

    & > span {
      font-weight: 500;
      font-size: 28px;
      line-height: 34px;
      color: white;
      margin: 0 0 20px;
      display: inline-block;

      @media (max-width: 767px) {
        font-size: 22px;
        line-height: 27px;
      }
    }
  }

  &__item-text {
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    margin: 0 0 30px;

    a {
      color: #66b6ff;
    }

    span {
      font-weight: 500;
    }
  }

  &__item-subtitle {
    color: white;
    text-align: center;
    max-width: 590px;
    align-self: center;

    @media (max-width: 767px) {
      max-width: 330px;
    }
  }
}

.list {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 830px;
  width: 100%;
  margin-bottom: 140px;

  @media (max-width: 767px) {
    margin-bottom: 30px;
  }

  &__title {
    font-weight: 500;
    font-size: 28px;
    line-height: 34px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 50px;
  }

  &__wrap {
    display: flex;
    width: 100%;

    @media (max-width: 767px) {
      flex-direction: column;
      max-width: 316px;
    }
  }

  &__link {
    text-transform: none;
    font-size: 22px;
    line-height: 26px;
    color: #ffffff99;
    font-weight: 300;

    &:not(:last-child) {
      @media (min-width: 768px) {
        margin-right: auto;
      }
    }

    @media (max-width: 767px) {
      margin-right: auto;
      padding-top: 40px;
      padding-bottom: 40px;
      border-bottom: 1px solid #18265b;
      width: 100%;

      &:last-child {
        border-bottom: none;
      }
    }
  }
}

.text-left {
  text-align: left;
}

.sub-text {
  text-align: right;
  font-size: 14px;
  line-height: 125%;
  display: inline-block;
  width: 100%;
}
</style>
